> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devmob.app.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry Webhook

> Retries a webhook.



## OpenAPI

````yaml /api-reference/bko/openapi.json post /api/v1/bko/webhooks/{webhookId}/retry
openapi: 3.0.0
info:
  title: OABUS BKO API
  description: OABUS API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/bko/webhooks/{webhookId}/retry:
    post:
      tags:
        - Webhook
      summary: Retry Webhook
      description: Retries a webhook.
      operationId: retryWebhook
      parameters:
        - name: webhookId
          required: true
          in: path
          schema:
            type: string
            format: uuid
            description: Webhook identifier
            example: 0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a
        - name: fields
          required: false
          in: query
          description: >-
            Comma-separated list of fields to include in the response. Supports
            dot notation for nested projection (e.g.
            `id,name,user.email,trips.route.id`). Unknown fields are silently
            dropped.
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/RetryWebhookRequestBody'
      responses:
        '200':
          $ref: '#/components/responses/RetryWebhook200Response'
        '400':
          $ref: '#/components/responses/RetryWebhook400Response'
        '401':
          $ref: '#/components/responses/RetryWebhook401Response'
        '403':
          $ref: '#/components/responses/RetryWebhook403Response'
        '500':
          $ref: '#/components/responses/RetryWebhook500Response'
      security:
        - bearer: []
        - bearer: []
components:
  requestBodies:
    RetryWebhookRequestBody:
      required: true
      content:
        application/json:
          schema:
            default:
              force: false
            description: Retry webhook payload
            type: object
            properties:
              force:
                default: false
                description: Force retry when the webhook is already processed
                example: false
                type: boolean
  responses:
    RetryWebhook200Response:
      content:
        application/json:
          schema:
            type: object
            properties:
              webhookId:
                type: string
                format: uuid
                description: Webhook identifier
                example: 0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a
              externalProvider:
                type: string
                description: External provider name
                example: in_memory
              externalEventId:
                type: string
                description: External provider webhook event identifier
                example: hook_123
              externalEventType:
                type: string
                description: External provider webhook event type
                example: charge.paid
              actionType:
                type: string
                enum:
                  - UPDATE_PAYMENT
                  - PAYMENT_PAID
                  - UPDATE_ORDER
                  - UPDATE_TRANSFER
                description: Persisted internal webhook action type
                example: PAYMENT_PAID
              payload:
                type: object
                additionalProperties: {}
                description: Original provider webhook payload
                example:
                  id: hook_123
                  type: charge.paid
              error:
                description: Webhook processing error
                example: Payment not found
                nullable: true
                type: string
              status:
                type: string
                enum:
                  - RECEIVED
                  - PROCESSED
                  - FAILED
                description: Webhook processing status
                example: PROCESSED
              receivedCount:
                type: integer
                description: Number of provider deliveries for this event
                example: 2
              createdBy:
                description: Created by
                example: null
                nullable: true
                type: string
                format: uuid
              updatedBy:
                description: Updated by
                example: null
                nullable: true
                type: string
                format: uuid
              createdAt:
                type: string
                format: date-time
                description: Creation timestamp
                example: '2026-01-01T00:00:00.000Z'
              lastReceivedAt:
                type: string
                format: date-time
                description: Last provider delivery timestamp
                example: '2026-01-01T00:00:00.000Z'
              processedAt:
                description: Webhook processed timestamp
                example: '2026-01-01T00:00:00.000Z'
                nullable: true
                type: string
                format: date-time
              updatedAt:
                type: string
                format: date-time
                description: Last update timestamp
                example: '2026-01-01T00:00:00.000Z'
            required:
              - webhookId
              - externalProvider
              - externalEventId
              - externalEventType
              - actionType
              - payload
              - status
              - receivedCount
              - createdAt
              - lastReceivedAt
              - updatedAt
            additionalProperties: false
            description: Webhook
      description: OK
    RetryWebhook400Response:
      content:
        application/json:
          example:
            errors:
              - message: required
                path: name
            message: Bad Request Error
            statusCode: 400
          schema:
            properties:
              message:
                type: string
              statusCode:
                enum:
                  - 400
                type: number
              errors:
                items:
                  properties:
                    message:
                      type: string
                    path:
                      type: string
                  required:
                    - message
                    - path
                  type: object
                type: array
            required:
              - message
              - statusCode
            type: object
      description: Bad Request Error
    RetryWebhook401Response:
      content:
        application/json:
          example:
            message: Missing or invalid access token
            statusCode: 401
          schema:
            properties:
              message:
                type: string
              statusCode:
                enum:
                  - 401
                type: number
            required:
              - message
              - statusCode
            type: object
      description: Unauthorized
    RetryWebhook403Response:
      content:
        application/json:
          example:
            message: Insufficient permissions
            statusCode: 403
          schema:
            properties:
              message:
                type: string
              statusCode:
                enum:
                  - 403
                type: number
            required:
              - message
              - statusCode
            type: object
      description: Forbidden
    RetryWebhook500Response:
      content:
        application/json:
          example:
            message: Internal Server Error
            statusCode: 500
          schema:
            properties:
              message:
                type: string
              statusCode:
                enum:
                  - 500
                type: number
            required:
              - message
              - statusCode
            type: object
      description: Internal Server Error
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````